\section{Previous Works}

\section{Recent Developments and Applications of ML}

\section{Discussion of Features}

\subsection{Software Complexity Metrics}

\subsection{Other Metrics}

\section{Process}

\subsection{Data Sources}

\subsection{Assigning Features}

\subsection{Discussion of ML Techniques Used}

\section{Results}

\section{Conclusion}
